﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MPTVAdmin2
{
    class Channel
    {
        private int _channelId;
        private string _name;
        private string _provider;
        private int _transponderId;
        private int _serviceId;
        private int _networkId;
        private int _frequency;
        private int _countryId;
        private bool _visible = true;

        public int ChannelID {
            set {
                _channelId = value;
            }
            get {
                return _channelId;
            }
        }

        public string Name {
            set {
                _name = value;
            }
            get {
                return _name;
            }
        }

        public string Provider {
            set {
                _provider = value;
            }
            get {
                return _provider;
            }
        }

        public int TransponderID {
            set {
                _transponderId = value;
            }
            get {
                return _transponderId;
            }
        }

        public int ServiceID {
            set {
                _serviceId = value;
            }
            get {
                return _serviceId;
            }
        }

        public int NetworkID {
            set {
                _networkId = value;
            }
            get {
                return _networkId;
            }
        }

        public int Frequency {
            set {
                _frequency = value;
            }
            get {
                return _frequency;
            }
        }

        public int CountryID {
            set {
                _countryId = value;
            }
            get {
                return _countryId;
            }
        }

        public bool Visible { 
            set {
                _visible = value;
            }
            get {
                return _visible;
            }            

        }

        public Channel() { }

        //Copy constructor
        public Channel(Channel chnlCopy) {
            _channelId = chnlCopy._channelId;
            _name = chnlCopy.Name;
            _provider = chnlCopy.Provider;
            _transponderId = chnlCopy.TransponderID;
            _serviceId = chnlCopy.ServiceID;
            _networkId = chnlCopy.NetworkID;
            _frequency = chnlCopy.Frequency;
            _countryId = chnlCopy.CountryID;
            _visible = chnlCopy.Visible;
        }

    }
}
